Subject: Re: 回覆: [External] Re: [PATCH] net/ncsi: fix locking in Get MAC Address handling

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 Jan 2025 13:19:34 -0800

On Sat, 11 Jan 2025 19:12:51 +0800 Potin Lai wrote:
> > > Thanks for the new patch.
> > > I am currently tied up with other tasks, but I’ll make sure to test
> > > it as soon as possible and share the results with you.  
> >
> > Understood, would you be able to test it by January 13th?
> > Depending on how long we need to wait we may be better off
> > applying the patch already or waiting with committing..  
> 
> Hi Jakub & Paul,
> 
> I had a test yesterday, the patch is working and the kernel panic does
> not happen any more, but we notice sometimes the config_apply_mac
> state runs before the gma command is handled.
> 
> Cosmo helped me to find a potential state handling issue, and I
> submitted the v2 version.
> Please kindly have a look at v2 version with the link below.
> v2: https://lore.kernel.org/all/[email-masked]/

Is there any reason why you reposted Paul's patch?
Patch 2 looks like a fix for a separate issue (but for the same 
use case), am I wrong?

Also one thing you have not done is to provide the Tested-by: tag 
on Paul's patch :)